package cn.palmte.work.bean;

/**
 * @author xiongshiyan at 2021/11/1 , contact me with email yanshixiong@126.com or phone 15208384257
 */
public enum SignTypeEnum {
    PLAN_O(-1,""),
    PLAN_A(1,"是"),
    PLAN_B(2,"否");

    private int signType;
    private String signTypeStr;

    private SignTypeEnum(int signType, String signTypeStr) {
        this.signType = signType;
        this.signTypeStr = signTypeStr;
    }

    public int getSignType() {
        return signType;
    }

    public void setSignType(int signType) {
        this.signType = signType;
    }

    public String getSignTypeStr() {
        return signTypeStr;
    }

    public void setSignTypeStr(String signTypeStr) {
        this.signTypeStr = signTypeStr;
    }

    public static SignTypeEnum parseSignType(int signType){
        if(signType == 1){
            return PLAN_A;
        }
        if(signType == 2){
            return PLAN_B;
        }
        return PLAN_O;
    }
}
